Bug 999399 - When volume is full , ls on nfs mount is not showing any data and FUSE mount shows 2 entries for the same entity
When volume is full , ls on nfs mount is not showing any data and FUSE mount ...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
2.1
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
:
Depends On:
Blocks: 1286107
  Show dependency treegraph
 
Reported: 2013-08-21 05:20 EDT by Rachana Patel
Modified: 2015-11-27 05:51 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1286107 (view as bug list)
Environment:
Last Closed: 2015-11-27 05:49:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (77.69 KB, text/plain)
2013-08-21 05:20 EDT, Rachana Patel
no flags Details

  None (edit)
Description Rachana Patel 2013-08-21 05:20:41 EDT
Created attachment 915750 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 3 Saurabh 2013-11-04 05:16:12 EST
updating this bz as I am finding two entries for same entity,
on nfs mount-point,
-rw-r--r--. 1 root root 104857600 Nov  4  2013 f.47
-rw-r--r--. 1 root root 104857600 Nov  4  2013 f.47

on glusterfs mount-point,
---------T. 1 root root         0 Nov  4  2013 f.47
---------T. 1 root root         0 Nov  4  2013 f.47

there are some more cases of similar type,

this issue is seen on glusterfs-3.4.0.38rhs-1

the volume type is a distribute-replicate as 6x2 configuration.

quota is enabled and limit set  on the root of the volume is set. 
[root@quota1 ~]# gluster volume quota dist-rep5 list
                  Path                   Hard-limit Soft-limit   Used  Available
--------------------------------------------------------------------------------
/dir                                       5.0GB       80%       5.0GB  0Bytes
/                                         25.0GB       80%      25.0GB  0Bytes

Note You need to log in before you can comment on or make changes to this bug.